package org.jvnet.hifaces.binding;

import javax.faces.context.FacesContext;
import javax.faces.el.EvaluationException;
import javax.faces.el.PropertyNotFoundException;

public class MutableBooleanValueBinding extends ValueBinding {
  
  public Object getValue(FacesContext context)
      throws EvaluationException,
      PropertyNotFoundException {
    return Boolean.valueOf(get());
  }
  
  public boolean get()
  {
    return false;
  }
  
  public void set(boolean value)
  {
  }

  public void setValue(FacesContext context, Object value)
      throws EvaluationException,
      PropertyNotFoundException {
    set(value instanceof Boolean ? ((Boolean) value).booleanValue() : false);
  }

  public boolean isReadOnly(FacesContext context)
      throws EvaluationException,
      PropertyNotFoundException {
    return false;
  }

  public Class getType(FacesContext context) throws EvaluationException, PropertyNotFoundException {
    return Boolean.class;
  }
}
