package org.jvnet.hifaces.binding.message;

import javax.faces.context.FacesContext;

import org.springframework.context.MessageSourceResolvable;

public class MessageSourceResolvableValueBinding extends AbstractSingleMessageValueBinding {

  private static final long serialVersionUID = 1L;

  private final MessageSourceResolvable message;

  public MessageSourceResolvableValueBinding(MessageSourceResolvable message) {
    this.message = message;
  }

  protected String getMessageId(FacesContext facesContext) {
    return message.getCodes()[0];
  }

  protected Object[] getArguments(FacesContext facesContext) {
    return message.getArguments();
  }

}
