package org.jvnet.hifaces.function.impl;

import javax.faces.context.FacesContext;

import org.jvnet.hifaces.function.Function0;

public class Identity<T> extends Function0<T> {

  private static final long serialVersionUID = 1L;

  private final T x;

  public Identity(final T x) {
    super((Class<? extends T>) x.getClass());
    this.x = x;
  }

  @Override
  public T invoke(FacesContext facescontext) {
    return x;
  }

  @Override
  public T call() {
    return x;
  }

}
