package org.jvnet.hifaces.binding;

import javax.faces.context.FacesContext;
import javax.faces.el.EvaluationException;
import javax.faces.el.MethodNotFoundException;

public class StaticStringMethodBinding extends MethodBinding {
  private static final long serialVersionUID = 1L;
  private final String result;

  public StaticStringMethodBinding(String result) {
    this.result = result;
  }

  public Class getType(FacesContext facescontext) throws MethodNotFoundException {

    return String.class;
  }

  public Object invoke(FacesContext facescontext, Object[] aobj)
      throws EvaluationException,
      MethodNotFoundException {
    return result;
  }

}
