package org.jvnet.hifaces.convert;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class DateCalendarConverter extends AbstractCalendarConverter {

	private static final String CONVERSION_MESSAGE_ID = "org.jvnet.hifaces.convert.DateCalendarConverter.CONVERSION";

	public static final String CONVERTER_ID = "org.jvnet.hifaces.DateCalendar";

	public static final String PATTERN = "yyyy-MM-dd";

	protected String getConversionMessageId() {
		return CONVERSION_MESSAGE_ID;
	}

	protected DateFormat getDateFormat() {
		return new SimpleDateFormat(PATTERN);
	}
}