package org.jvnet.hifaces.util;

import java.util.Collection;

import javax.faces.component.UIComponent;

import org.apache.myfaces.custom.div.Div;

public class DivUtils {

	private DivUtils() {

	}

	public static Div createDiv() {
		final Div div = new Div();
		IdUtils.assignId(div);
		return div;
	}

	public static Div createDiv(UIComponent... components) {
		return ComponentUtils.addChildren(DivUtils.createDiv(), components);
	}

	public static Div createDiv(Collection<UIComponent> components) {
		return ComponentUtils.addChildren(DivUtils.createDiv(), components);
	}

}
